<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2006 Elmar Hinz
 *  Contact: elmar.hinz@team-red.net
 *  All rights reserved
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 ***************************************************************/

require_once(t3lib_extMgm::extPath('div') . 'class.tx_div.php');
tx_div::load('tx_lib_controller');

class tx_articles_controllers_edit extends tx_lib_controller{
    var $defaultAction = 'fill';

    function fillAction(){
        // create view
        $view = tx_div::makeInstance('tx_articles_views_edit');
				$view->setController($this);
        $view->setTemplatePath('EXT:articles/views/templates/');

        // create model
        $model = tx_div::makeInstance('tx_articles_models_articles');
        $model->setArticleFolder((int)$this->configurations->get('articleFolder'));
        $model->setCategoryFolder((int)$this->configurations->get('categoryFolder'));
        $model->setTypeFolder((int)$this->configurations->get('typeFolder'));
        $model->setLanguage(0); // TODO   
        
        // set categories for selects
        $view->set('categories', $model->categoryLoader());
        $view->set('types', $model->typeLoader());        

        // render
        $out .= $view->render('edit');
        return $out;
    }

    function saveAction(){
        $model = tx_div::makeInstance('tx_articles_models_articles');
        $model->setArticleFolder((int)$this->configurations->get('articleFolder'));
        $model->setCategoryFolder((int)$this->configurations->get('categoryFolder'));
        $model->setTypeFolder((int)$this->configurations->get('typeFolder'));
        $model->setLanguage(0); // TODO
				$this->parameters->offsetUnset('action');
        $model->insert($this->parameters);

        $class = tx_div::makeInstanceClassName('tx_lib_phpTemplateEngine');
        $view = new $class($row);
        $view->setController($this);
        $view->setTemplatePath('EXT:articles/views/templates/');
        $out .= $view->render('thanks');
        return $out;
    }
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/articles/controllers/class.tx_articles_controllers_edit.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/articles/controllers/class.tx_articles_controllers_edit.php']);
}
?>
