<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2006 Elmar Hinz
 *  Contact: elmar.hinz@team-red.net
 *  All rights reserved
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 ***************************************************************/

require_once(t3lib_extMgm::extPath('div') . 'class.tx_div.php');
tx_div::load('tx_lib_controller');

class tx_articles_controllers_search extends tx_lib_controller{
    var $defaultAction = 'show';

    function showAction(){
        // Model
        $model = tx_div::makeInstance('tx_articles_models_articles');
        $model->setArticleFolder((int)$this->configurations->get('articleFolder'));
        $model->setCategoryFolder((int)$this->configurations->get('categoryFolder'));
        $model->setTypeFolder((int)$this->configurations->get('typeFolder'));
        $model->setLanguage(0); // TODO
        $results = $model->search(null,null,$this->parameters->get('search'));

        // View
        $view = tx_div::makeInstance('tx_lib_phpTemplateEngine');
        $view->setController($this);
				$view->setDefaultDesignator($this->getDesignator());
        $view->setTemplatePath('EXT:articles/views/templates/');

        // Form
        $view->exchangeArray(array());
        $form = $view->render('search');

        // List
        $view->exchangeArray($results);
        $list = $view->render('list');

        return $form . $list;
    }

}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/articles/controllers/class.tx_articles_controllers_search.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/articles/controllers/class.tx_articles_controllers_search.php']);
}
?>
